6.0.0-git
2019-04-24

[#11480] PHP error after delete of address book
Summary PHP error after delete of address book
Queue Turba
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-10-09 (2388 days ago)
Due
Updated 2012-10-15 (2382 days ago)
Assigned
Resolved 2012-10-10 (2387 days ago)
Milestone
Patch No

History
2012-10-15 20:44:53 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (develop):

commit 67f758bda2abf8cb0545ea6c0360fd0393e9356b
Author: Jan Schneider <jan@horde.org>
Date:   Wed Oct 10 12:56:10 2012 +0200

     [jan] Fix marking contacts as deleted in the history if deleting 
shared address books (Bug #11480).

  turba/docs/CHANGES         |    2 ++
  turba/lib/Driver.php       |    8 +++++++-
  turba/lib/Driver/Kolab.php |    5 ++++-
  turba/lib/Driver/Share.php |    5 +++--
  turba/package.xml          |    2 ++
  5 files changed, 18 insertions(+), 4 deletions(-)

http://git.horde.org/horde-git/-/commit/67f758bda2abf8cb0545ea6c0360fd0393e9356b
2012-10-10 13:54:18 Thomas Jarosch Comment #3 Reply to this comment
The error message is gone, thanks.

2012-10-10 10:56:39 Jan Schneider Assigned to Jan Schneider
Summary ⇒ PHP error after delete of address book
State ⇒ Resolved
 
2012-10-10 10:56:28 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 67f758bda2abf8cb0545ea6c0360fd0393e9356b
Author: Jan Schneider <jan@horde.org>
Date:   Wed Oct 10 12:56:10 2012 +0200

     [jan] Fix marking contacts as deleted in the history if deleting 
shared address books (Bug #11480).

  turba/docs/CHANGES         |    2 ++
  turba/lib/Driver.php       |    8 +++++++-
  turba/lib/Driver/Kolab.php |    5 ++++-
  turba/lib/Driver/Share.php |    5 +++--
  turba/package.xml          |    2 ++
  5 files changed, 18 insertions(+), 4 deletions(-)

http://git.horde.org/horde-git/-/commit/67f758bda2abf8cb0545ea6c0360fd0393e9356b
2012-10-09 15:23:19 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Kolab backend: PHP error after delete of address book
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

when you try to delete an address book, you'll get this error message 
in the logs:

2012-10-09T17:19:19+02:00 WARN: HORDE [turba] PHP ERROR: Invalid 
argument supplied for foreach() [pid 2153 on line 915 of 
"/datastore/DEVEL/horde/turba/lib/Driver.php"]

The address book gets deleted though.

Thomas

Saved Queries